<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui" xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/pridiatemplate.xhtml">
		<ui:define name="location">
			<ui:include src="/pages/admin/submenu.xhtml" />
		</ui:define>
		<ui:define name="body">
			<p:panel>
				<p:tabView>
					<p:tab title="summary" titleStyleClass="accordionpanelheader">
						<p:dataTable id="session" value="#{adminModel.sessionInspection}" var="s">
							<p:column headerText="session information">
								<h:outputText value="#{s}" />
							</p:column>
						</p:dataTable>
					</p:tab>
					<p:tab title="translations" titleStyleClass="accordionpanelheader">
						<p:dataTable id="transl" value="#{adminModel.translations}" var="t" rows="10" paginator="true"
							paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
							currentPageReportTemplate="{startRecord}-{endRecord} of {totalRecords} records">
							<p:column headerText="isocode" sortable="true" sortBy="#{t.isocode}" filterable="true" filterBy="#{t.isocode}">
								<h:outputText value="#{t.isocode}" />
							</p:column>
							<p:column headerText="key" sortable="true" sortBy="#{t.key}" filterable="true" filterBy="#{t.key}">
								<h:outputText value="#{t.key}" />
							</p:column>
							<p:column headerText="value" sortable="true" sortBy="#{t.value}" filterable="true" filterBy="#{t.value}">
								<h:outputText value="#{t.value}" />
							</p:column>
						</p:dataTable>
						<p:commandButton id="to_reload" action="#{adminController.doReloadTranslations}" value="#{facesContext.translate('button.reload.translations')}" ajax="false" />
					</p:tab>
				</p:tabView>
			</p:panel>
		</ui:define>
		<ui:define name="help_de">
			TODO StS: Die Sitzungseinsicht zeigt Internas der aktuellen Sitzung an.  
		</ui:define>
	</ui:composition>
</h:body>
</html>